### Function

# GtkSource SchedulerCallback

since: 5.2

#### Declaration

    gboolean
    (* GtkSourceSchedulerCallback) (
      gint64 deadline,
      gpointer user_data
    )

#### Description [src]

This function is called incrementally to process additional background work. A deadline is provided which can be checked using `g_get_monotonic_time()` so that additional work can be processed each frame.

This is useful for situations where you are incrementally performing background work such as spell checking or semantic syntax highlighting.

Available since: 5.2

#### Parameters

`deadline`

  Type: `gint64`

  The time the callback should complete by.

`user_data`

  Type: `gpointer`

  Closure data provided when registering callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if there is more work to process, otherwise `FALSE` and the handler is unregistered.